عدم بالا آمدن سایت بعد از آپدیت قالب

Para Tak

تازه وارد
9/2/18
52
18
8
بعد بروز رسانی قالب و پلاگین های سایت با این پیام مواجه شدم:

Warning: is_writable(): open_basedir restriction in effect. File(/) is not within the allowed path(s): (/home/name/:/tmp:/var/tmp:/usr/local/lib/php/:/usr/local/php53/lib/php/) in /home/Name/domains/Address/public_html/wp-content/themes/Name Theme/core/yit/Css.php on line 357

راه حل چیست؟

ممنون از لطف شما بزرگواران

 

masoud ashoori

کاربر عضو
24/10/16
330
15
18
30
شاهرود
سلام
ممکنه قالبتون با آپدیت برخی از افزونه ها از جمله ووکامرس سازگار نباشه و بهتر هست قبل از آپدیت این مورد رو چک کنید با طراح قالبتون و قبل از آپدیت هم بک آپ تهیه کنید.
وارد هاستتون بشید و نام پوشه plugins رو تغییر بدید ( با این کار پلاگین های سایتتون غیر فعال میشن) و ببینید سایتتون بالا میاد یا نه.
اگر بالا اومد:
یک پوشه به نام plugins بسازید و یکی یکی افزونه های پوشه plugins قبلی که تغییر نامش دادید یکی یکی به پوشه جدید انتقال بدید و چک کنید تا بفهمید کدوم پلاگین مشکل ایجاد میکند.

 

Para Tak

تازه وارد
9/2/18
52
18
8
سلام و درود خدمت شما دوست بزرگوار

تمام پلاگین هارو غیرفعال کردم . باز نتیجه همان قبلی بود

پوسته را قیر فعال کرده،پوسته ۲۰۱۷ رو فعال کردم، و سپس قالب مورد نظر را مجددا فعال کردم، سایت بالا اومد ولی بدرستی کار نمیکنه، بهم ریخته است

پیام کمتکان همین است:

Warning: is_writable(): open_basedir restriction in effect. File(/) is not within the allowed path(s): (/home/****/:/tmp:/var/tmp:/usr/local/lib/php/:/usr/local/php53/lib/php/) in /home/****/domains/****.ir/public_html/wp-content/themes/Name Theme/core/yit/Css.php on line 357

با سپاس فراوان

 

جاویدان

کاربر عضو
27/4/15
1,992
223
63
38
استان تهران
با سلام دوست عزیز

شما انگار مستندات وردپرس رو مطالعه نمی کنید.

نسخه php رو به 7 و بالاتر ارتقا دهید درست می شود. از فعال شدن کامل آن اطمینان حاصل کنید

موفق باشید

 

Para Tak

تازه وارد
9/2/18
52
18
8
بزرگوار سلام و درود

نسخه PHP بر روی 7.2 تنظیم بوده

سپاس

 

جاویدان

کاربر عضو
27/4/15
1,992
223
63
38
استان تهران
بزرگوار سلام و درود

نسخه PHP بر روی 7.2 تنظیم بوده

سپاس
با سلام دوست عزیز

این اخطار چیز دیگه ای میگه

(/home/name/:/tmp:/var/tmp:/usr/local/lib/php/:/usr/local/php53/lib/php/)

php53 یعنی نسخه 5.3 پی اچ پی یا فعال است یا اثر گذار است و خطا می گه در تنظیمات css قالب اجازه تغییرات در پنل تنظیمات قالب از سوی سرور به علت رفتن به مسیر 53 وجود ندارد. این یعنی یا قالب با نسخه php فعلی (شما می گویید نسخه PHP بر روی 7.2 تنظیم بوده ) هماهنگ نیست یا در نسخه فعلی php جدید برنامه نویسی نشده.

یک اشتباه مهلک بین کاربران و هاستینگ ها اینست که فکر می کنند وقتی یک تنظیم در سرور انجام شد دیگر کار تمام است . اما گاهی خطاهای مهلک و تاثیر گذار ناگهان خود را نشان می دهد و شما دنبال هر چی هستی الا مورد اصلی چون فکر می کنید درست تنظیم است. یکی از همین موارد فعال شدن درست php است . جهت درک باقی دوستان با این کد میشه فهمید کدوم نسخه فعال است

یک فایل در روت سرور ایجاد کنید مثلا

info.php

سپس داخلش همین خط کد رو قرار بدید

<?php
phpinfo();
?>

سپس فایل رو از مسیر سایت فراخوانی کنید

مثلا : https://site.com/info.php

به ناگهان نسخه فعلی و فعال php رو خواهید دید یادتون باشه پس از دیدن این فایل رو سریعا از روت سرور حذف کنید .

نکته اینجاست وردپرس  از 4.5 تقریبا به php 7.2 مهاجرت کرده و حتی نسخه جدید وکامرس نیز گفته که بهتره از نسخه 7.3 حتی استفاده بشه. این یعنی هر قالب و افزونه ای عقب بمونه باعث خطا خواهد شد.

موفق باشید

 

Para Tak

تازه وارد
9/2/18
52
18
8
با سپاس فراوان از محبت های شما

طبق دستورالعمل شما بزرگوار پیش رفتم و با این پیام روبرو شدم:

Warning: phpinfo() has been disabled for security reasons in /home/Name/domains/Name.ir/public_html/info.php on line 1

ممنون از راهنمایی های شما

 

جاویدان

کاربر عضو
27/4/15
1,992
223
63
38
استان تهران
با سلام دوست عزیز

هاستینگ شما این درخواست رو مسدود کرده به لحاظ امنیتی خطاها هم به همین دلیل است . برای همین تاکید کردم حذف کنید کد رو.

شما تیکت به هاستینگ بزنید و درخواست کنید براتون نسخه php  رو بررسی کنند یا اینکه از افزونه Wappalyzer روی مرورگر فایرفاکس استفاده کنید.

موفق باشید

 

Para Tak

تازه وارد
9/2/18
52
18
8
دوست گرامی از اینکه بنده را راهنمایی نمودید ، تشکر بسیار از شما می نمایم

هرچند که نمیدانم راهکار در نهایت چیست

هاست میگوید ما بررسی کردیم. اشکال از جانب سرور و هاست نیست ِ باید با پشتیبانی قالب تماس بگیرید

پشتیبانی قالب میگوید:

قالب را از طریق بسته نصبی ، مجدد نصب کنید. (تا الآن فقط themرا آپدیت و نصب کردم)(که اطلاعات از بین میرود)(چون با این ارور امکان بکاپ گرفتن ندارم)

از هاست بخواهید display_errors را off کنند و همچنین طبق این آموزش ارورهای وردپرس را غیر فعال کنید مشکل حل می شود.

-* - سوال من اینست با مخفی کردن ارور مشکل حل میشود یا فقط صورت مسئله پاک میشود

ارادتمند

 
@Para Tak 

وقت بخیر این یک اخطار است ارور نیست پنهان کنید موردی ندارد..

فقط ممکن است در اینده با اپدیت افزونه ها اختلالاتی بوجود بیاره که با اپدیت قالب این اختلالات بوجود نمیاد.

 

Para Tak

تازه وارد
9/2/18
52
18
8
ممنون دوست گرامی

ولی چطور میشه این مشکل رو حل کرد؟

سپاس

 
مشکل 2 مورد دارد یا نسخه php که برای طراحی قالب به کار رفته قدیمیه یا نسخه php سرور فیکس نشده.

بعد این ارور نداده یه وارنینگ (هشدار) است که میگه بخاطر دلایل امنیتی فلان خط در فلان فایل ممکنه مشکل بوجود بیاره.

حالا اگر افزونه امنیتی نصب دارید غیرفعال کنید ببینید هشدار همچنان پا برجاست یا خیر ولی توصیه میکنم نسخه php سرور و قالب رو کنترل کنید قبل هر کاری.

 

Para Tak

تازه وارد
9/2/18
52
18
8
دوست عزیز

این مشکل باعث شده دیگه سایت بالا نیاد .

یک صفحه سفید که پیام بالا روش نوشته شده

و از طریق کنترل پنل هیج کاری نمیشه کرد

ممنون

 
@Para Tak 

افزونه ها را غیرفعال کنید و ببینید باز بالا نمیاد؟
با یک قالب دیگر تست کنید اگر بالا اومد که میفهمید قالب  ایراد داره.

**************************************************************************

اگر قادر به رفع این مورد نبودید اطلاعات لاگین وردپرس و اطلاعات لاگین هاست خود را ایمیل کنید تا  در رفع این مورد کمکتون کنم.

new.folder391@gmail.com

 

Para Tak

تازه وارد
9/2/18
52
18
8
بله اقزونه ها مورد ندارن. چک کردم

قالب رو هم عوض کردم پیام خطا رفع شد

==========

پشتیبانی قالب میگه قالب رو از طریق بسته نصبی . نصب کن... مشکل حل میشه

امکان بک آب از تغییرات انجام شده در پوسته را ندارم، برا همین نرفتم سراغ بسته نصبی...

الان منتظر پشتیبانی هاست هستم... جهت اجازه دسترسی به فایل PHP.ini

 

Para Tak

تازه وارد
9/2/18
52
18
8
ممنون از لطف شما

با شما در تماس خواهم بود

این پکاپ شامل پوسته هم میشه؟

 

جاویدان

کاربر عضو
27/4/15
1,992
223
63
38
استان تهران
با سلام دوست عزیز

بر اساس اطلاعات داده شده شما ما راهنمایی می کنیم.

در مورد پوسته یا قالب شما نیازی به روش نصبی برای هر بار استفاده یا بروزرسانی ندارید . متاسفانه این دکانی است که در ایران باز شده است.

اگر شما قالب رو گرفتید ومطمئن هستید فقط خود قالب رو از داخل اون به اصطلاح بسته نصبی جایگزین نسخه فعلی کنید. یعنی از داخل روت سرور این کار باید انجام بشه یعنی پوشه قالب رو زیپ و بارگذاری می کنید در داخل پوشه تم وردپرس. بهتره نسخه قبلی رو از داخل همون روت سرور حذف کنید.

اگر یک قالب درست باشه فقط با جاگذاری در صورتی که قبلا فعال باشه جایگزین میشه در غیر اینصورت باید فعال سازی بشه.

بک آپ ها اگر از زمان خطا باشند می تونند دوباره همون مسیر قبلی باشند پس باید دقت کنید.

یک احتمال اینه که فروشنده به شما قالب فقط تغییر ورژن می ده نه نسخه واقعا بروزرسانی شده.

موفق باشید

 

Para Tak

تازه وارد
9/2/18
52
18
8
درود بر شما جناب جاویدان عزیز

دوست گرامی

تمام این کارها که فرمودید رو انجام دادم و درود بر شما که به چیزی که شک داشتم اشاره فرمودید:

(فقط تغییر ورژن قالب)

دوست گرامی من نمیدونم . شاید شما آگاه تر باشید:

وقتی قالبی اپدیت میشه در آبان ۹۷ باید تمام پلاگین ها و افزونه ها هم اپدیت بشن از جمله ویژوال کامپوزر  و چند افزونه دیگر که قالب بدون اونها اصلا کار نمیکنه

ولی تمام افزونه های تم جدید مربوط به خرداد ۹۷ بود یعنی اپدیت قبلی و در این مدت افزونه ها ۳ الی ۴ بار اپدیت براشون اومده بود.

آیا این درسته یا خیر؟

بعد در تم قبلی از آبان ماه ارور و پیغام داد (با اپدیت جدید ورژن ووکامرس) دچار اشکال خواهیم شد و باید تم رو اپدیت کنم. یک هفته بعد در تم فارست ورژن جدید تم آمد و من به شرکت پشتیبانی خبر دادم و گفتند بلافاصله اپدیت رو میزارن ولی تا ۲۰ روز بعد نگذاشتن و با این تمی که بمن دادن کل سایت بالا نمیاد

۱- من چطور میتونم متوجه بشم ورژن اصلی  تم چی است

۲- دوم اگر کلا قالب رو از تم فارست بخرم (۶۰ دلار) براحتی میشه راست چین و فارسیش کرد یا اون هم دردسرهای خودش رو داره . (قبلا با گذینه های ترجمه یک قالب کمو بیش کار کردم)

ممنون از شما